<ion-header [translucent]="true">
  <ion-toolbar class="backazul">
   <ion-title class="ion-text-center">
      <h2 style="color:white;margin:0px;">PROSPECTAR EMPRESA</h2>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-grid>
<ion-row>
  <ion-col size="12" class="ion-text-center">
    <span style="font-weight: 900;font-size: 12px;">*Empresa(Todos los datos)</span>
  </ion-col>
  <ion-col size="12" class="ion-text-center">
    <span style="font-weight: 900;font-size: 12px;">*Prospecto (solo Nombre y Dirección)</span>
  </ion-col>
</ion-row>
<ion-row class="ion-margin-top px-4">
  <ion-col size="12" class="ion-text-left">
    <ion-label color="primary" class="ml-2">Cliente / Empresa / Obra</ion-label>
    <ion-input #emp placeholder="Ingresa el nombre"></ion-input>
  </ion-col>
  <ion-col size="12" class="ion-text-left">
    <ion-label color="primary" class="ml-2">Dirección</ion-label><br>
    <input id="searchinput" #addresstext type="search" placeholder="Ingresa la dirección" class="input">
  </ion-col>
  <ion-col size="12" class="ion-text-left">
    <ion-label color="primary" class="ml-2">RFC</ion-label>
    <ion-input #rfc maxlength="13" placeholder="Ingresa rfc de la Empresa"></ion-input>
  </ion-col>
  <ion-col size="12" class="ion-text-left">
    <ion-label color="primary" class="ml-2">Contacto</ion-label>
    <ion-input #contact placeholder="Ingresa nombre del contacto"></ion-input>
  </ion-col>
  <ion-col size="12" class="ion-text-left">
    <ion-label color="primary" class="ml-2">Teléfono</ion-label>
    <ion-input #phone type="number" onKeyPress="if(this.value.length==10) return false;" placeholder="Ingresa el número telefónico"></ion-input>
  </ion-col>
  <ion-col size="12" class="ion-text-left">
    <ion-label color="primary" class="ml-2">Correo Electrónico</ion-label>
    <ion-input #email type="email" placeholder="Ingresa el correo electrónico"></ion-input>
  </ion-col>
  <ion-col size="12" class="ion-text-left">
    <ion-label color="primary" class="ml-2">Comentario</ion-label>
    <ion-input #coment placeholder="Ingresa un comentario"></ion-input>
  </ion-col>
</ion-row>

<ion-row class="ion-margin-bottom ion-margin-top" *ngIf="this.emp.value!==''&&this.addresstext.value!==''&&this.rfc.value!==''&&this.contact.value!==''&&this.phone.value!==''&&this.email.value!==''&&this.coment.value!==''">
  <ion-col size="10" class="ion-text-center">
      <h1>Adjuntar imagenes</h1>
  </ion-col>

  <ion-col size="2" class="ion-text-left">
      <label for="archivop" id="labelp"></label>
      <input style="height: 0px;width: 0px;" type="file" id="archivop"
      (change)="onFileChanged($event)"  class="hidden" multiple="true"
      accept="image/*">
  </ion-col>

  <ion-col size="12" class="ion-text-center">
      <ion-row class="ion-margin-bottom ion-margin-top">
          <ion-col size="3" class="ion-text-center" *ngFor="let preview of previewUrl; let i = index">
                <img  [src]="preview" class="img">
              <img (click)="quitararchivo(i)" src="../../../assets/img/close-sharp.svg" class="pl-1 imgfloat" width="20px" height="20px">
          </ion-col>
      </ion-row>
  </ion-col>
</ion-row>

<ion-row class="ion-margin-bottom">
  <ion-col size="12" class="ion-text-center">
    <ion-button (click)="guardarprospecto()" color="primary">
      <ion-icon name="paper-plane-sharp"></ion-icon>
    prospectar
    </ion-button>
  </ion-col>
</ion-row>

  </ion-grid>
</ion-content>
